Skip to content

Get Library Projects

Request

Returns all of the projects in a particular product that contain a given library

Security
bearer-key
Path
productTokenstringrequired

product UUID (by running Entities - Organization > Get Organization Products) or Product Token (from the Mend SCA App: Integrate tab > Product Token).

libraryUuidstringrequired

library UUID (get a project's library by running Library - Project > Get Project Libraries.

Query
pageSizestring, <= 10000
Default:"50"
pagestring
Default:"0"
GET
/api/v2.0/products/{productToken}/libraries/{libraryUuid}/projects
curl -i -X GET \
  'https://api-saas.mend.io/api/v2.0/products/{productToken}/libraries/{libraryUuid}/projects?pageSize=50&page=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
supportTokenstring(Support Token)
Example:"1171c60d"
retValArray of objects(ProjectDTO)
Response
{ "supportToken": "1171c60d", "retVal": [ {} ] }